tbb::internal::lane_selector_base Struct Reference

`#include <task_stream_extended.h>`

Inheritance diagram for tbb::internal::lane_selector_base:
Collaboration diagram for tbb::internal::lane_selector_base:

## Public Member Functions

| lane_selector_base (unsigned &previous)
Public Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Public Attributes

unsigned & | my_previous

## Detailed Description

Definition at line 99 of file task_stream_extended.h.

## Constructor & Destructor Documentation

## lane_selector_base()

tbb::internal::lane_selector_base::lane_selector_base | ( | unsigned & | previous | ) |

inline

Definition at line 107 of file task_stream_extended.h.

: my_previous( previous ) {}

## Member Data Documentation

## my_previous

unsigned& tbb::internal::lane_selector_base::my_previous

Definition at line 106 of file task_stream_extended.h.

Referenced by tbb::internal::subsequent_lane_selector::operator()(), and tbb::internal::preceding_lane_selector::operator()().

The documentation for this struct was generated from the following file:

- task_stream_extended.h

tbb::internal::lane_selector_base::my_previous
unsigned & my_previous
Definition: task_stream_extended.h:106

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.